Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.surfaceUI
Class SurfaceUIFactory

    java.lang.Object
      threeD.raytracer.surfaceUI.SurfaceUIFactory

public class SurfaceUIFactory
extends java.lang.Object

The SurfaceUIFactory class provides static methods for creating SurfaceUI instances.

Nested Class Summary
`static class` | `SurfaceUIFactory.SurfaceUIImpl`

Method Summary
`static AbstractSurfaceUI` | `createSurfaceUI(AbstractSurface s)`
`static AbstractSurfaceUI` | `createSurfaceUI(int nameIndex)` Creates a new Surface implementation of the type given by the specified index into the array returned by the getSurfaceTypeNames method.
`static java.lang.String[]` | `getSurfaceTypeNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createSurfaceUI

    public static AbstractSurfaceUI createSurfaceUI(AbstractSurface s)

  Parameters:
    `s` - AbstractSurface object to wrap.
  Returns:
    An AbstractSurfaceUI implementation that wraps the AbstractSurface specified.

### createSurfaceUI

    public static AbstractSurfaceUI createSurfaceUI(int nameIndex)

  Creates a new Surface implementation of the type given by the specified index into the array returned by the getSurfaceTypeNames method.

  Parameters:
    `nameIndex` - Index into array given by getSurfaceTypeNames that corresponds to the Surface object to construct.
  Returns:
    An AbstractSurfaceUI implementation that wraps the surface specified.

### getSurfaceTypeNames

    public static java.lang.String[] getSurfaceTypeNames()

  Returns:
    An array containing the surface type names in order.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray